=== debian/control ===
Source: manderlbot
Section: net
Priority: optional
Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Uploaders: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper (>= 8.0.0)
Build-Depends-Indep: erlang-dev (>= 1:13.b.1-dfsg-3), lyx, docbook, docbook-utils, hevea, cm-super
Standards-Version: 3.9.5

Package: manderlbot
Architecture: all
Depends: ${erlang:Depends}, ${misc:Depends}
Description: IRC bot, written in Erlang
 Manderlbot is an IRC bot with XML configuration file, allowing you to launch
 it on several servers and channels at once, each channel will have its own
 set of behaviours.
 .
 Behaviours are generics, and you can easily make your own set. If you want
 some not-already-implemented generic behaviour, you'll have to code some
 Erlang.
