=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	$(MAKE)
	#
	# Workaround for lyx bug #381622
	if [ ! -f /usr/share/lyx/textclass.lst ] ; then \
	    HOME=$(CURDIR)/debian ; \
	    export HOME ; \
	    (mkdir ~/.lyx && cd ~/.lyx && /usr/share/lyx/configure.py) ; \
	    $(MAKE) doc ; \
	else \
	    $(MAKE) doc ; \
	fi

override_dh_clean:
	dh_testdir
	dh_testroot
	rm -rf $(CURDIR)/debian/.lyx
	rm -rf $(CURDIR)/debian/.texmf-var
	#
	[ ! -f Makefile ] || $(MAKE) clean
	#
	dh_clean

override_dh_auto_install:
	make install DESTDIR=$(CURDIR)/debian/manderlbot/
	#
	# Remove sources
	rm -rf $(CURDIR)/debian/manderlbot/usr/lib/erlang/lib/manderlbot-*/src
	#
	# Remove xmerl headers
	rm -f $(CURDIR)/debian/manderlbot/usr/lib/erlang/lib/manderlbot-*/include/xmerl*.hrl

override_dh_compress:
	dh_compress -X.pdf

override_dh_gencontrol:
	erlang-depends
	dh_gencontrol

.PHONY: override_dh_auto_build override_dh_clean override_dh_auto_install \
	override_dh_compress override_dh_gencontrol
