=== debian/changelog ===
manderlbot (0.9.3-2) unstable; urgency=medium

  * Incorporate the NMU by Holger Levsen.
  * Fix the debian/watch uscan control file.
  * Add patch by Vagrant Cascadian which fixes erl path for usrmerge systems
    (closes: #1037296).
  * Bump debhelper compatibility level to 13.
  * Bump standards version to 4.6.2.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 10 Jul 2023 09:18:50 +0300

manderlbot (0.9.3-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 02:20:20 +0100

manderlbot (0.9.3-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches, remove no longer necessary ones.
  * Add debian/watch to track future releases.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 12 Apr 2018 13:29:41 +0300

manderlbot (0.9.2-20) unstable; urgency=medium

  * Convert source files to UTF-8 since this encoding is a default one for
    Erlang sources now.
  * Replace calls to the deprecated random module by calls to the rand one.
  * Refresh and annotate patches.
  * Add Salsa VCS headers.
  * Bump debhelper compatibility level to 10.
  * Bump standards version to 4.1.3.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 03 Apr 2018 07:50:44 +0300
