=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Priority: optional
 Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: debhelper (>= 8.0.0)
-Build-Depends-Indep: erlang-dev (>= 1:13.b.1-dfsg-3), lyx, docbook, docbook-utils, hevea, cm-super
-Standards-Version: 3.9.5
+Build-Depends: debhelper-compat (= 13)
+Build-Depends-Indep: erlang-dev (>= 1:13.b.1-dfsg-3), docbook, docbook-utils
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/erlang-team/packages/manderlbot
+Vcs-Git: https://salsa.debian.org/erlang-team/packages/manderlbot.git
 
 Package: manderlbot
 Architecture: all
