=== debian/rules ===
#!/usr/bin/make -f

DIR = $(CURDIR)/debian/manderlbot
EDIR = $(DIR)/usr/lib/erlang/lib

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- ERL=/usr/bin/erl

override_dh_auto_build:
	$(MAKE)
	$(MAKE) doc

override_dh_auto_install:
	make install DESTDIR=$(DIR) \
		     CONFDIR=$(DIR)/etc/manderlbot/ \
		     ERLANG_LIB_DIR=$(EDIR)
	#
	# Remove sources
	rm -rf $(EDIR)/manderlbot-*/src
	#
	# Remove unnecessary builder binary and options
	rm -r $(EDIR)/manderlbot-*/BUILD_OPTIONS
	rm -r $(EDIR)/manderlbot-*/ebin/builder.beam
	

override_dh_gencontrol:
	erlang-depends
	dh_gencontrol

.PHONY: override_dh_auto_configure override_dh_auto_build \
	override_dh_auto_install override_dh_gencontrol
