=== debian/watch ===
# Watch control file for uscan

# Compulsory line, this is a version 3 file
version=3

https://github.com/nniclausse/manderlbot/tags \
    /nniclausse/manderlbot/archive/refs/tags/manderlbot-([.\d]+).tar.gz
